------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]情人节杀怪后出现典狱长
--Creator:		林旭
--Created:		2019/03/30
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>10
-- 2294-2230
-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(385, 287)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
hero:SetLook(hero:GetLook(), false, true) 
hero:SetZoomPercent(150)

hero:SetPos(393, 285)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
hero:SetDir(2)

local player1  = CppScriptMgr:AddSimplePlayer(23756, 385, 285, "Warden", 4003000009,1)
player1:SetDir(6)
player1:SetZoomPercent(150)
local player2  = CppScriptMgr:AddSimplePlayer(1062996, 385, 289, "Silvia", 4003000010,1)
player2:SetZoomPercent(150)
local player3  = CppScriptMgr:AddSimplePlayer(1062982, 393, 289, "Valentine", 4003000011,1)
player3:SetZoomPercent(150)

CppScriptMgr:WaitMilSec(2000)
player2:Say("Valentine, why do you come back?",2000)
CppScriptMgr:WaitMilSec(2000)
player1:Say(" Dare to come back uh? Don`t leave then!",2000)
CppScriptMgr:WaitMilSec(1000)
player2:AddEffect("ssch_wlhd_hit")
-- 半身像对话框
CppScriptMgr:NpcCallOut("    No! Why do you take this blow for me!\n\n\n\n                                     Press ESC to skip the story.", 4000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25846", 150, 430, "Valentine", 250, 655)
CppScriptMgr:WaitMilSec(4000)
player2:AddEffect("ssch_wlhd_hit")
player2:SetAction(270)
CppScriptMgr:WaitMilSec(1300)

